import os

# Define the application directory
BASE_DIR = os.path.abspath(os.path.dirname(__file__))
BASE_DIR = os.path.dirname(BASE_DIR)

# Statement for enabling the development environment
DEBUG = True

# Application threads. A common general assumption is
# using 2 per available processor cores - to handle
# incoming requests using one and performing background
# operations using the other.
THREADS_PER_PAGE = 2

# Enable protection agains *Cross-site Request Forgery (CSRF)*
CSRF_ENABLED = True

# Use a secure, unique and absolutely secret key for
# signing the data.
CSRF_SESSION_KEY = "secret"

# Secret key for signing cookies
SECRET_KEY = "secret"

# CUSTOM CONFIG
PRINTER_TIMEOUT = 5
PRINTER_ATTEMPTS = 2
PRINTER_ATTEMPT_AFTER = 2
TICKET_TIMEOUT = 1
WEB_CONFIG_DIR = "app/static/assets/info/"
WEB_CONFIG_FILE = "config.json"
